Bug 147529 - CAN-2004-0888 xpdf integer overflows
CAN-2004-0888 xpdf integer overflows
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gpdf (Show other bugs)
3
All Linux
medium Severity high
: ---
: ---
Assigned To: Marco Pesenti Gritti
impact=important,public=20041020
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-08 15:28 EST by Josh Bressers
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-26 06:35:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-02-08 15:28:53 EST
*** This bug has been split off bug 135393 ***

------- Original comment by Mark J. Cox (Security Response Team) on 2004.10.12
10:20 -------

During a source code audit, Chris Evans and others discovered a number
of integer overflow bugs that affected all versions of xpdf.  An
attacker could construct a carefully crafted PDF file that could cause
xpdf to crash or possibly execute arbitrary code when opened.  

        CAN-2004-0888 Affects: 2.1AS 2.1AW 2.1ES 2.1WS
        CAN-2004-0888 Affects: 3AS 3ES 3WS 3Desktop

This issue is embargoed until Oct20 1400UTC
Comment 1 Josh Bressers 2005-02-08 15:29:46 EST
We don't seem to have this fix in gpdf for FC2 or FC3.  Please see bug 135393
for the fix.
Comment 2 Marco Pesenti Gritti 2005-02-09 05:58:03 EST
Is this a dup of 147518 ?
Comment 3 Josh Bressers 2005-02-09 06:39:15 EST
No, bug 147518 is for RHEL4.
Comment 4 Dan Williams 2005-02-25 11:11:25 EST
What's the status of this?  This bug is for FC3, right?  Have we or
have we not pushed an update for this?
Comment 5 Marco Pesenti Gritti 2005-02-26 06:35:38 EST
I released FC2/FC3 updates, just forgot to close the bug.

Note You need to log in before you can comment on or make changes to this bug.